Updated: 20 Feb 2021 by Nicolas Lorin <androw95220@gmail.com>

From: Jakub Jirutka <jakub@jirutka.cz>
Date: Thu, 19 Aug 2021 23:08:13 +0200
Subject: Add suffix "-insecure" to library with MI_SECURE=OFF

We want to make the secure variant the default one.

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 74c1f29..1e94df0 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -67,11 +67,6 @@ if (NOT CMAKE_BUILD_TYPE)
   endif()
 endif()
 
-if("${CMAKE_BINARY_DIR}" MATCHES ".*(S|s)ecure$")
-  message(STATUS "Default to secure build")
-  set(MI_SECURE "ON")
-endif()
-
 
 # -----------------------------------------------------------------------------
 # Process options
@@ -313,6 +308,8 @@ endif()
 set(mi_basename "mimalloc")
 if(MI_SECURE)
   set(mi_basename "${mi_basename}-secure")
+else()
+  set(mi_basename "${mi_basename}-insecure")
 endif()
 if(MI_VALGRIND)
   set(mi_basename "${mi_basename}-valgrind")
@@ -322,7 +319,7 @@ if(MI_ASAN)
 endif()
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LC)
 if(NOT(CMAKE_BUILD_TYPE_LC MATCHES "^(release|relwithdebinfo|minsizerel|none)$"))
-  set(mi_basename "${mi_basename}-${CMAKE_BUILD_TYPE_LC}") #append build type (e.g. -debug) if not a release version
+  set(mi_basename "mimalloc-${CMAKE_BUILD_TYPE_LC}") #append build type (e.g. -debug) if not a release version
 endif()
 
 if(MI_BUILD_SHARED)
